import request from '@/utils/request'

// 查询项目列表
export function listProjectApi(query) {
  return request({
    url: '/ent/data/list',
    method: 'get',
    params: query
  })
}
//新增项目
export function addProjectApi(data) {
  return request({
    url: `/ent/project`,
    method: 'post',
    data: data
  })
}
//获取财务员、科技员
export function listUserListApi(query) {
  return request({
    url: `/ent/user/list`,
    method: 'get',
    params: query
  })
}
//修改项目
export function editProjectApi(data) {
  return request({
    url: `/ent/project`,
    method: 'put',
    data: data
  })
}
//获取项目信息  企业
export function getProjectInfoApi(id, query) {
  return request({
    url: `/ent/project/${id}`,
    method: 'get',
    params: query
  })
}
//获取项目详情信息 科德管理员
export function getProjectInfoAdminApi(id, query) {
  return request({
    url: `/admin/project/${id}`,
    method: 'get',
    params: query
  })
}
//同步给技术
export function synTechApi(id,data) {
  return request({
    url: `/ent/project/sync/tech/${id}`,
    method: 'put',
    data: data
  })
}
//同步给财务
export function synFinApi(id, data) {
  return request({
    url: `/ent/project/sync/finc/${id}`,
    method: 'put',
    data: data
  })
}
//删除项目
export function deleteProjectApi(ids) {
  return request({
    url: `/ent/data/${ids}`,
    method: 'delete'
  })
}
//获取项目附件
export function getEnclosureApi(attachType,dataId) {
  return request({
    url: `/common/attach/attach/${attachType}/${dataId}`,
    method: 'get'
  })
}
//删除附件信息
export function deleteEnclosureApi(ids) {
  return request({
    url: `/common/attach/${ids}`,
    method: 'delete'
  })
}

export function getProjectInfoCommonApi(id, query) {
  return request({
    url: `/project/${id}`,
    method: 'get',
    params: query
  })
}
//重新提交审核
export function entUserAudit(data) {
  return request({
    url: `/ent/user/auth`,
    method: 'put',
    data: data
  })
}

//保存草稿
export function draftApi(data) {
  return request({
    url: `/ent/project/save-draft`,
    method: 'post',
    data: data
  })
}

//保存年度信息
export function yearApi(data) {
  return request({
    url: `/ent/data/year-project`,
    method: 'post',
    data: data
  })
}
//修改年度信息
export function yearUpdateApi(data) {
  return request({
    url: `/ent/data/year-project`,
    method: 'put',
    data: data
  })
}
//项目申报
export function declareApi(data) {
  return request({
    url: `/ent/data/project`,
    method: 'post',
    data: data
  })
}

//获取企业研发项目
export function devProjectApi(projectId, query) {
  return request({
    url: `/ent/data/project/${projectId}`,
    method: 'get',
    params: query
  })
}

export function declareUpdateApi(data) {
  return request({
    url: `/ent/data/project`,
    method: 'put',
    data: data
  })
}
//获取企业年度信息
export function getYearDataApi(projectYear, entId, query) {
  return request({
    url: `/ent/data/year-project/${projectYear}/${entId}`,
    method: 'get',
    params: query
  })
}
export function getYearApi(projectYear, query) {
  return request({
    url: `/ent/data/year-project/${projectYear}`,
    method: 'get',
    params: query
  })
}
//获取附件列表
// export function getEnclosureApi(attachType, dataId) {
//   return request({
//     url: `/common/attach/attach/${attachType}/${dataId}`,
//     method: 'get',
//     params: query
//   })
// }

//下载
export function downloadApi(id) {
  return request({
    url: `/common/attach/${id}`,
    method: 'get',
    responseType: 'blob'
  })
}
//年度列表
export function yearListApi() {
  return request({
    url: `/ent/data/year-list`,
    method: 'get'
  })
}
